/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/*  $Header: D:/FREEDOS/SRC/LIB/SUPPL/RCS/ENV_SSET.C 2.1 1996/11/08 03:18:16 ska Exp $
 *
 *  ENV_SSEG.C - part of the enviroment handling.
 *
 *	Set a new current used global environment segment
 *
 *	Functions: env_setGlbSeg_()
 *
 *  Comments:
 *
 *  This function writes the current used environemt segment into
 *  the PSP entry.
 *
 *	Micro-C only!
 *
 */

#ifdef _MICROC_
#include <portable.h>
#include <external.h>
#include "environ.h"

void env_setGlbSeg_(unsigned segm)
{	pokew(_psp, 0x2c, segm);
}
#endif
