/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: LONGSUBU.C $
   $Locker:  $	$Name:  $	$State: Exp $

	longsubu(num1, unsigned num2)

	subtract the unsigned num2 from the dword num1
	Micro-C only.

	Return:
		== 0: No overflow
		!= 0: otherwise

*/

#ifdef _MICROC_

#include "suppl.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: LONGSUBU.C 2.1 1996/11/08 03:18:16 ska Exp $";
#endif

longsubu(/*dword **/num, /*unsigned*/ n)
{	LSIZE / 2;
	asm {
		mov cx, ax
		mov bx, 6[bp]		; address of number
		mov ax, 4[bp]		; number to subtract from
		sub [bx], ax
		mov ax, 0
		jnc addu1			; no overflow
		inc bx
	addu2:
		inc bx
		dec Byte Ptr [bx]	; sub carry
		mov al, [bx]
		inc al
		loope addu2
		jne addu1			; no overflow?
		inc al				; overflow
	addu1:
	}
	return;
}
#endif
